aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRyan Arnold <ryanarn@etna.rchland.ibm.com>2009-09-18 08:56:53 -0500
committerRyan Arnold <ryanarn@etna.rchland.ibm.com>2009-09-18 08:56:53 -0500
commitae4269f244f4806fbd93cca5077cca6a441e2e24 (patch)
treeba8e30a6e1346cff48c15f763405e8d35ba83d71
parentb660b54ce6cbc72b41204cd437d66d75fda2db3c (diff)
downloadglibc-ae4269f244f4806fbd93cca5077cca6a441e2e24.zip
glibc-ae4269f244f4806fbd93cca5077cca6a441e2e24.tar.gz
glibc-ae4269f244f4806fbd93cca5077cca6a441e2e24.tar.bz2
2009-09-18 Ryan S. Arnold <rsa@us.ibm.com>
* ChangeLog: Updated to reflect following patch. Selective Cherry Pick of Roland McGrath's head commit 7967983fd42380b090a63b53fe57a05e1d1c0b4f. The configure.in and Makefile parts are the same as Roland's patch but since this is a backport to a GLIBC 2.8 branch the individual configure files are different so those were regenerated locally by Ryan. Roland's ChangeLog is still relevant: 2009-09-15 Roland McGrath <roland@redhat.com> * aclocal.m4 (GLIBC_PROVIDES): Add _AS_ECHO_PREPARE. * nptl/sysdeps/pthread/configure: Regenerated. * nptl/sysdeps/x86_64/configure: Regenerated. * sysdeps/unix/sysv/linux/configure: Regenerated. * sysdeps/x86_64/elf/configure: Regenerated. * Makefile (autoconf-it): Set execute bit only on top-level configure. * configure.in: Let add-ons set $libc_add_on_config_subdirs to have the effect of AC_CONFIG_SUBDIRS relative to the add-on directory. * aclocal.m4 (GLIBC_PROVIDES): Add AC_CONFIG_SUBDIRS. * configure: Regenerated. This fix makes configure recurse into an add-on's standalone directories where the directories in libc_add_on_config_subdirs (relative path to the add-on) have their own pre-configured 'configure' and 'Makefile.in' that is maintained 'out-of-project'.
-rw-r--r--ChangeLog13
-rw-r--r--Makefile2
-rw-r--r--aclocal.m42
-rwxr-xr-xconfigure31
-rw-r--r--configure.in20
-rwxr-xr-xsysdeps/ieee754/ldbl-opt/configure40
-rwxr-xr-xsysdeps/powerpc/configure8
-rw-r--r--sysdeps/powerpc/powerpc32/configure16
-rwxr-xr-xsysdeps/powerpc/powerpc32/elf/configure8
-rw-r--r--sysdeps/unix/sysv/linux/powerpc/configure80
10 files changed, 132 insertions, 88 deletions
diff --git a/ChangeLog b/ChangeLog
index d3ecef9..91942a9 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -8132,6 +8132,19 @@
cleanup for initial thread, just the free call on TVP.
* nscd/gai.c (__getline): Define.
+2009-09-15 Roland McGrath <roland@redhat.com>
+ * aclocal.m4 (GLIBC_PROVIDES): Add _AS_ECHO_PREPARE.
+ * nptl/sysdeps/pthread/configure: Regenerated.
+ * nptl/sysdeps/x86_64/configure: Regenerated.
+ * sysdeps/unix/sysv/linux/configure: Regenerated.
+ * sysdeps/x86_64/elf/configure: Regenerated.
+
+ * Makefile (autoconf-it): Set execute bit only on top-level configure.
+
+ * configure.in: Let add-ons set $libc_add_on_config_subdirs to have
+ the effect of AC_CONFIG_SUBDIRS relative to the add-on directory.
+ * aclocal.m4 (GLIBC_PROVIDES): Add AC_CONFIG_SUBDIRS.
+ * configure: Regenerated.
See ChangeLog.16 for earlier changes.
diff --git a/Makefile b/Makefile
index 43c4f4d..aeff1ea 100644
--- a/Makefile
+++ b/Makefile
@@ -43,7 +43,7 @@ endif
define autoconf-it
@-rm -f $@.new
$(AUTOCONF) $(ACFLAGS) $< > $@.new
-chmod a-w,a+x $@.new
+chmod a-w$(patsubst %,$(comma)a+x,$(filter .,$(@D))) $@.new
mv -f $@.new $@
$(autoconf-it-cvs)
endef
diff --git a/aclocal.m4 b/aclocal.m4
index 4efa41e..06adbaa 100644
--- a/aclocal.m4
+++ b/aclocal.m4
@@ -5,7 +5,9 @@ dnl AC_REQUIREs or AC_BEFOREs duplicating their code.
dnl
define([GLIBC_PROVIDES], [dnl
AC_PROVIDE([AC_CONFIG_AUX_DIR_DEFAULT])dnl
+AC_PROVIDE([AC_CONFIG_SUBDIRS])dnl
AC_PROVIDE([_AS_ECHO_N_PREPARE])dnl
+AC_PROVIDE([_AS_ECHO_PREPARE])dnl
AC_PROVIDE([_AS_CR_PREPARE])dnl
AC_PROVIDE([_AS_TR_SH_PREPARE])dnl
AC_PROVIDE([AC_PROG_INSTALL])dnl
diff --git a/configure b/configure
index 44fab37..44e7616 100755
--- a/configure
+++ b/configure
@@ -660,6 +660,7 @@ oldest_abi
bindnow
force_install
all_warnings
+subdirs
build
build_cpu
build_vendor
@@ -668,7 +669,6 @@ host
host_cpu
host_vendor
host_os
-subdirs
add_ons
add_on_subdirs
base_machine
@@ -779,7 +779,8 @@ CPP
CXX
CXXFLAGS
CCC'
-ac_subdirs_all=''
+ac_subdirs_all='
+'
# Initialize some variables set by options.
ac_init_help=
@@ -2172,6 +2173,9 @@ fi
+subdirs="$subdirs "
+
+
# Make sure we can run config.sub.
$SHELL "$ac_aux_dir/config.sub" sun4 >/dev/null 2>&1 ||
{ { echo "$as_me:$LINENO: error: cannot run $SHELL $ac_aux_dir/config.sub" >&5
@@ -2412,6 +2416,7 @@ echo "$as_me: error: add-on directory \"$libc_add_on\" does not exist" >&2;}
libc_add_on_frag=$libc_add_on_srcdir/configure
libc_add_on_canonical=
+ libc_add_on_config_subdirs=
if test -r "$libc_add_on_frag"; then
{ echo "$as_me:$LINENO: running configure fragment for add-on $libc_add_on" >&5
echo "$as_me: running configure fragment for add-on $libc_add_on" >&6;}
@@ -2446,6 +2451,24 @@ echo "$as_me: error: fragment must set \$libc_add_on_canonical" >&2;}
test "$subdir_srcdir" = "\$(..)$d" || config_vars="$config_vars
$d-srcdir = $subdir_srcdir"
done
+ for d in $libc_add_on_config_subdirs; do
+ case "$d" in
+ /*) { { echo "$as_me:$LINENO: error: fragment uses absolute path in \$libc_add_on_config_subdirs" >&5
+echo "$as_me: error: fragment uses absolute path in \$libc_add_on_config_subdirs" >&2;}
+ { (exit 1); exit 1; }; } ;;
+ esac
+ if test ! -d "$libc_add_on_srcdir/$d"; then
+ { { echo "$as_me:$LINENO: error: fragment wants to configure missing directory $d" >&5
+echo "$as_me: error: fragment wants to configure missing directory $d" >&2;}
+ { (exit 1); exit 1; }; }
+ fi
+ case "$libc_add_on" in
+ /*) { { echo "$as_me:$LINENO: error: relative path required for add-on using \$libc_add_on_config_subdirs" >&5
+echo "$as_me: error: relative path required for add-on using \$libc_add_on_config_subdirs" >&2;}
+ { (exit 1); exit 1; }; } ;;
+ esac
+ subdirs="$subdirs $libc_add_on/$d"
+ done
}
fi
if test -n "$libc_add_on"; then
@@ -2462,7 +2485,7 @@ echo $ECHO_N "checking add-on $libc_add_on for preconfigure fragments... $ECHO_C
echo "${ECHO_T}" >&6; }
fi
use_add_ons="$use_add_ons $libc_add_on"
- add_ons_pfx="$add_ons_pfx $libc_add_on/"
+add_ons_pfx="$add_ons_pfx $libc_add_on/"
test -z "$libc_add_on_canonical" ||
add_ons_sfx="$add_ons_sfx /$libc_add_on_canonical"
fi
@@ -9182,6 +9205,7 @@ oldest_abi!$oldest_abi$ac_delim
bindnow!$bindnow$ac_delim
force_install!$force_install$ac_delim
all_warnings!$all_warnings$ac_delim
+subdirs!$subdirs$ac_delim
build!$build$ac_delim
build_cpu!$build_cpu$ac_delim
build_vendor!$build_vendor$ac_delim
@@ -9190,7 +9214,6 @@ host!$host$ac_delim
host_cpu!$host_cpu$ac_delim
host_vendor!$host_vendor$ac_delim
host_os!$host_os$ac_delim
-subdirs!$subdirs$ac_delim
add_ons!$add_ons$ac_delim
add_on_subdirs!$add_on_subdirs$ac_delim
base_machine!$base_machine$ac_delim
diff --git a/configure.in b/configure.in
index 33d760d..63198c9 100644
--- a/configure.in
+++ b/configure.in
@@ -254,6 +254,9 @@ AC_ARG_ENABLE([all-warnings],
[])
AC_SUBST(all_warnings)
+dnl This is here so we can set $subdirs directly based on configure fragments.
+AC_CONFIG_SUBDIRS()
+
AC_CANONICAL_HOST
# The way shlib-versions is used to generate soversions.mk uses a
@@ -396,6 +399,7 @@ if test x"$add_ons" != x; then
libc_add_on_frag=$libc_add_on_srcdir/configure
libc_add_on_canonical=
+ libc_add_on_config_subdirs=
if test -r "$libc_add_on_frag"; then
AC_MSG_NOTICE(running configure fragment for add-on $libc_add_on)
libc_add_on_canonical=unknown
@@ -427,6 +431,20 @@ if test x"$add_ons" != x; then
test "$subdir_srcdir" = "\$(..)$d" || config_vars="$config_vars
$d-srcdir = $subdir_srcdir"
done
+ for d in $libc_add_on_config_subdirs; do
+ case "$d" in
+ /*) AC_MSG_ERROR(dnl
+ fragment uses absolute path in \$libc_add_on_config_subdirs) ;;
+ esac
+ if test ! -d "$libc_add_on_srcdir/$d"; then
+ AC_MSG_ERROR(fragment wants to configure missing directory $d)
+ fi
+ case "$libc_add_on" in
+ /*) AC_MSG_ERROR(dnl
+ relative path required for add-on using \$libc_add_on_config_subdirs) ;;
+ esac
+ subdirs="$subdirs $libc_add_on/$d"
+ done
}
fi
if test -n "$libc_add_on"; then
@@ -441,7 +459,7 @@ $d-srcdir = $subdir_srcdir"
AC_MSG_RESULT()
fi
use_add_ons="$use_add_ons $libc_add_on"
- add_ons_pfx="$add_ons_pfx $libc_add_on/"
+add_ons_pfx="$add_ons_pfx $libc_add_on/"
test -z "$libc_add_on_canonical" ||
add_ons_sfx="$add_ons_sfx /$libc_add_on_canonical"
fi
diff --git a/sysdeps/ieee754/ldbl-opt/configure b/sysdeps/ieee754/ldbl-opt/configure
index dc81365..365d379 100755
--- a/sysdeps/ieee754/ldbl-opt/configure
+++ b/sysdeps/ieee754/ldbl-opt/configure
@@ -2,8 +2,8 @@
# Local configure fragment for sysdeps/ieee754/ldbl-opt/.
-echo "$as_me:$LINENO: checking whether $CC $CFLAGS supports -mlong-double-128" >&5
-echo $ECHO_N "checking whether $CC $CFLAGS supports -mlong-double-128... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking whether $CC $CFLAGS supports -mlong-double-128" >&5
+echo $ECHO_N "checking whether $CC $CFLAGS supports -mlong-double-128... $ECHO_C" >&6; }
if test "${libc_cv_mlong_double_128+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
@@ -29,39 +29,35 @@ long double foobar (long double x) { return x; }
}
_ACEOF
rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
- (eval $ac_compile) 2>conftest.er1
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+ *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+ *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+ (eval "$ac_compile") 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); }; } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); }; }; then
+ (exit $ac_status); } && {
+ test -z "$ac_c_werror_flag" ||
+ test ! -s conftest.err
+ } && test -s conftest.$ac_objext; then
libc_cv_mlong_double_128=yes
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
-libc_cv_mlong_double_128=no
+ libc_cv_mlong_double_128=no
fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
CFLAGS="$save_CFLAGS"
fi
-echo "$as_me:$LINENO: result: $libc_cv_mlong_double_128" >&5
-echo "${ECHO_T}$libc_cv_mlong_double_128" >&6
+{ echo "$as_me:$LINENO: result: $libc_cv_mlong_double_128" >&5
+echo "${ECHO_T}$libc_cv_mlong_double_128" >&6; }
if test "$libc_cv_mlong_double_128" = no; then
{ { echo "$as_me:$LINENO: error: this configuration requires -mlong-double-128 support" >&5
echo "$as_me: error: this configuration requires -mlong-double-128 support" >&2;}
diff --git a/sysdeps/powerpc/configure b/sysdeps/powerpc/configure
index 07e3d09..c36e7e7 100755
--- a/sysdeps/powerpc/configure
+++ b/sysdeps/powerpc/configure
@@ -2,8 +2,8 @@
# Local configure fragment for sysdeps/powerpc.
# Accept binutils which knows about ".machine".
-echo "$as_me:$LINENO: checking for .machine support" >&5
-echo $ECHO_N "checking for .machine support... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking for .machine support" >&5
+echo $ECHO_N "checking for .machine support... $ECHO_C" >&6; }
if test "${libc_cv_ppc_machine+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
@@ -23,8 +23,8 @@ else
fi
rm -f conftest*
fi
-echo "$as_me:$LINENO: result: $libc_cv_ppc_machine" >&5
-echo "${ECHO_T}$libc_cv_ppc_machine" >&6
+{ echo "$as_me:$LINENO: result: $libc_cv_ppc_machine" >&5
+echo "${ECHO_T}$libc_cv_ppc_machine" >&6; }
if test $libc_cv_ppc_machine != yes; then
{ { echo "$as_me:$LINENO: error:
*** A binutils version which can handle
diff --git a/sysdeps/powerpc/powerpc32/configure b/sysdeps/powerpc/powerpc32/configure
index 0ff56c9..d55fe84 100644
--- a/sysdeps/powerpc/powerpc32/configure
+++ b/sysdeps/powerpc/powerpc32/configure
@@ -2,8 +2,8 @@
# Local configure fragment for sysdeps/powerpc/powerpc32.
# See whether gas has R_PPC_REL16 relocs.
-echo "$as_me:$LINENO: checking for R_PPC_REL16 gas support" >&5
-echo $ECHO_N "checking for R_PPC_REL16 gas support... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking for R_PPC_REL16 gas support" >&5
+echo $ECHO_N "checking for R_PPC_REL16 gas support... $ECHO_C" >&6; }
if test "${libc_cv_ppc_rel16+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
@@ -23,8 +23,8 @@ else
fi
rm -f conftest*
fi
-echo "$as_me:$LINENO: result: $libc_cv_ppc_rel16" >&5
-echo "${ECHO_T}$libc_cv_ppc_rel16" >&6
+{ echo "$as_me:$LINENO: result: $libc_cv_ppc_rel16" >&5
+echo "${ECHO_T}$libc_cv_ppc_rel16" >&6; }
if test $libc_cv_ppc_rel16 = yes; then
cat >>confdefs.h <<\_ACEOF
#define HAVE_ASM_PPC_REL16 1
@@ -33,8 +33,8 @@ _ACEOF
fi
# See whether GCC uses -msecure-plt.
-echo "$as_me:$LINENO: checking for -msecure-plt by default" >&5
-echo $ECHO_N "checking for -msecure-plt by default... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking for -msecure-plt by default" >&5
+echo $ECHO_N "checking for -msecure-plt by default... $ECHO_C" >&6; }
if test "${libc_cv_ppc_secure_plt+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
@@ -52,8 +52,8 @@ if { ac_try='${CC-cc} -S $CFLAGS conftest.c -fpic -o conftest.s 1>&5'
fi
rm -rf conftest*
fi
-echo "$as_me:$LINENO: result: $libc_cv_ppc_secure_plt" >&5
-echo "${ECHO_T}$libc_cv_ppc_secure_plt" >&6
+{ echo "$as_me:$LINENO: result: $libc_cv_ppc_secure_plt" >&5
+echo "${ECHO_T}$libc_cv_ppc_secure_plt" >&6; }
if test $libc_cv_ppc_secure_plt = yes; then
cat >>confdefs.h <<\_ACEOF
#define HAVE_PPC_SECURE_PLT 1
diff --git a/sysdeps/powerpc/powerpc32/elf/configure b/sysdeps/powerpc/powerpc32/elf/configure
index 536052e..fa1e8b0 100755
--- a/sysdeps/powerpc/powerpc32/elf/configure
+++ b/sysdeps/powerpc/powerpc32/elf/configure
@@ -4,8 +4,8 @@
if test "$usetls" != no; then
# Check for support of thread-local storage handling in assembler and
# linker.
-echo "$as_me:$LINENO: checking for powerpc32 TLS support" >&5
-echo $ECHO_N "checking for powerpc32 TLS support... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking for powerpc32 TLS support" >&5
+echo $ECHO_N "checking for powerpc32 TLS support... $ECHO_C" >&6; }
if test "${libc_cv_powerpc32_tls+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
@@ -41,8 +41,8 @@ else
fi
rm -f conftest*
fi
-echo "$as_me:$LINENO: result: $libc_cv_powerpc32_tls" >&5
-echo "${ECHO_T}$libc_cv_powerpc32_tls" >&6
+{ echo "$as_me:$LINENO: result: $libc_cv_powerpc32_tls" >&5
+echo "${ECHO_T}$libc_cv_powerpc32_tls" >&6; }
if test $libc_cv_powerpc32_tls = yes; then
cat >>confdefs.h <<\_ACEOF
#define HAVE_TLS_SUPPORT 1
diff --git a/sysdeps/unix/sysv/linux/powerpc/configure b/sysdeps/unix/sysv/linux/powerpc/configure
index 070bf5c..e2eba9d 100644
--- a/sysdeps/unix/sysv/linux/powerpc/configure
+++ b/sysdeps/unix/sysv/linux/powerpc/configure
@@ -2,8 +2,8 @@
# Local configure fragment for sysdeps/unix/sysv/linux/powerpc/.
-echo "$as_me:$LINENO: checking whether $CC $CFLAGS -mlong-double-128 uses IBM extended format" >&5
-echo $ECHO_N "checking whether $CC $CFLAGS -mlong-double-128 uses IBM extended format... $ECHO_C" >&6
+{ echo "$as_me:$LINENO: checking whether $CC $CFLAGS -mlong-double-128 uses IBM extended format" >&5
+echo $ECHO_N "checking whether $CC $CFLAGS -mlong-double-128 uses IBM extended format... $ECHO_C" >&6; }
if test "${libc_cv_mlong_double_128ibm+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
@@ -29,43 +29,39 @@ long double foobar (long double x) { return x; }
}
_ACEOF
rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
- (eval $ac_compile) 2>conftest.er1
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+ *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+ *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+ (eval "$ac_compile") 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); }; } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); }; }; then
+ (exit $ac_status); } && {
+ test -z "$ac_c_werror_flag" ||
+ test ! -s conftest.err
+ } && test -s conftest.$ac_objext; then
libc_cv_mlong_double_128ibm=yes
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
-libc_cv_mlong_double_128ibm=no
+ libc_cv_mlong_double_128ibm=no
fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
CFLAGS="$save_CFLAGS"
fi
-echo "$as_me:$LINENO: result: $libc_cv_mlong_double_128ibm" >&5
-echo "${ECHO_T}$libc_cv_mlong_double_128ibm" >&6
+{ echo "$as_me:$LINENO: result: $libc_cv_mlong_double_128ibm" >&5
+echo "${ECHO_T}$libc_cv_mlong_double_128ibm" >&6; }
if test "$libc_cv_mlong_double_128ibm" = no; then
- echo "$as_me:$LINENO: checking whether $CC $CFLAGS supports -mabi=ibmlongdouble" >&5
-echo $ECHO_N "checking whether $CC $CFLAGS supports -mabi=ibmlongdouble... $ECHO_C" >&6
+ { echo "$as_me:$LINENO: checking whether $CC $CFLAGS supports -mabi=ibmlongdouble" >&5
+echo $ECHO_N "checking whether $CC $CFLAGS supports -mabi=ibmlongdouble... $ECHO_C" >&6; }
if test "${libc_cv_mabi_ibmlongdouble+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
@@ -91,39 +87,35 @@ long double foobar (long double x) { return x; }
}
_ACEOF
rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
- (eval $ac_compile) 2>conftest.er1
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+ *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+ *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+ (eval "$ac_compile") 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag"
- || test ! -s conftest.err'
- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); }; } &&
- { ac_try='test -s conftest.$ac_objext'
- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
- (eval $ac_try) 2>&5
- ac_status=$?
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); }; }; then
+ (exit $ac_status); } && {
+ test -z "$ac_c_werror_flag" ||
+ test ! -s conftest.err
+ } && test -s conftest.$ac_objext; then
libc_cv_mabi_ibmlongdouble=yes
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
-libc_cv_mabi_ibmlongdouble=no
+ libc_cv_mabi_ibmlongdouble=no
fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
CFLAGS="$save_CFLAGS"
fi
-echo "$as_me:$LINENO: result: $libc_cv_mabi_ibmlongdouble" >&5
-echo "${ECHO_T}$libc_cv_mabi_ibmlongdouble" >&6
+{ echo "$as_me:$LINENO: result: $libc_cv_mabi_ibmlongdouble" >&5
+echo "${ECHO_T}$libc_cv_mabi_ibmlongdouble" >&6; }
if test "$libc_cv_mabi_ibmlongdouble" = yes; then
CFLAGS="$CFLAGS -mabi=ibmlongdouble"